package MAGEML;

/**
 * <p>Title: test for java</p>
 * <p>Description: This class allows testing the java part of the package without R </p>
 * <p>Date: 22/01/2004</p>
 * @author Steffen Durinck
 * @version 1.0
 */

import org.biomage.Common.MAGEJava;
import java.io.*;

public class test {

  public void test() {
  }

  public  static void main(String args[]) {

    System.out.print("Testing the java part of Bioconductor's MAGEML package\n");
    System.out.print("Enter directory where your MAGEML data is located:\n");
    BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

      String directory = null;
      try {
        directory = br.readLine();
      } catch (IOException ioe) {
        System.out.println("IO error trying to read directory");
        System.exit(1);
      }
      try{
        RMAGESTK t = new RMAGESTK(directory);
        /*String [] extData = t.getExternalData("marray");
      System.out.println("These are the files containing the raw data");
        for(int i=0; i<extData.length;i++){
        System.out.println(extData[i]);

        }
        System.out.println("If you see these filenames then the Java test went okay!"); */
        t.importFeatures("limma", "none");
 //     String [] bio = t.getBioSequenceID();
  //    System.out.println(bio[0]);

      }
      catch(Exception e){
        System.out.println("Error occured while trying to parse your data, the directory probably did not contain MAGEML data or unvalid MAGEML documents\n");
      }

  }

}
